Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 10 Apr 2018 08:56:48 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r332355 - user/pho/stress2/misc
Message-ID:  <201804100856.w3A8umRx022475@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Tue Apr 10 08:56:47 2018
New Revision: 332355
URL: https://svnweb.freebsd.org/changeset/base/332355

Log:
  Added two mdconfig(8) test scenarios.
  
  Sponsored by:	Dell EMC Isilon

Added:
  user/pho/stress2/misc/mdconfig.sh   (contents, props changed)
  user/pho/stress2/misc/mdconfig2.sh   (contents, props changed)

Added: user/pho/stress2/misc/mdconfig.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/mdconfig.sh	Tue Apr 10 08:56:47 2018	(r332355)
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2016 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+. ../default.cfg
+
+# Regression test for:
+# https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=214721
+# https://people.freebsd.org/~pho/stress/log/mdconfig.txt
+
+mdconfig -at swap -S 65536 -s 20M -u $mdstart
+mdconfig -d -u $mdstart
+
+exit 0

Added: user/pho/stress2/misc/mdconfig2.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/mdconfig2.sh	Tue Apr 10 08:56:47 2018	(r332355)
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2018 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# /dev/md* fails to be created.
+# "kernel: g_dev_taste: make_dev_p() failed (gp->name=md10, error=17)" seen.
+# The cause is that the device node is removed asynchronously.
+
+. ../default.cfg
+[ `id -u` -ne 0 ] && echo "Must be root!" && exit 1
+
+[ -c /dev/md$mdstart ] && mdconfig -d -u $mdstart
+mdconfig -l | grep -q md$mdstart &&
+    { echo FAIL; ls -l /dev/md$mdstart; mdconfig -lv; exit 1; }
+
+s=0
+start=`date +%s`
+workaround=${workaround:-0}
+while [ $((`date +%s` - start)) -lt 60 ]; do
+	mdconfig -a -t swap -s 100m -u $mdstart || { s=2; break; }
+	[ -c /dev/md$mdstart ] ||
+	    { echo FAIL; ls -l /dev/md$mdstart; mdconfig -lv; exit 3; }
+	mdconfig -d -u $mdstart || { s=4; break; }
+	while [ $workaround -eq 1 -a -c /dev/md$mdstart ]; do
+		echo "Note: Waiting for removal of /dev/md$mdstart"
+		sleep .1
+	done
+done
+exit $s



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201804100856.w3A8umRx022475>